library i_delph;

uses
   SysUtils;

type
   VECTOR = record
     x,y,z: Double;
     end;
   PVECTOR = ^VECTOR;
   PARAM = array [0..10] of Double;
   PPARAM = ^PARAM;
   Func_struct = record
     ops_stack : Pointer;
     number_stack: Pointer;
     opslen: Longint;
     numlen: Longint;
     Flags:  Byte;
     func_name: PChar;
     parm: PPARAM;
     pnum: Longint;
     sign: Double;
     iso_func: Pointer;
     Max_gradient: Double;
     gradient: Double;
     isosf: Pointer;
     threshold: Double;
     prev: Pointer;
     next: Pointer;
   end;

type
  Func = ^Func_Struct;


function sphere(FUNC:Func; XYZ: PVector): Double; cdecl;
  begin
    Sphere:= -FUNC^.parm^[0]+Sqrt(XYZ^.x*XYZ^.x+XYZ^.y*XYZ^.y+XYZ^.z*XYZ^.z);
  end;

function torus(FUNC:Func; XYZ: PVector): Double; cdecl;
  begin
     XYZ.x:=sqrt(XYZ^.x*XYZ^.x+XYZ^.z*XYZ^.z)-FUNC^.parm^[0];
     Torus:= -FUNC^.parm^[1]+sqrt(XYZ^.x*XYZ^.x+XYZ^.y*XYZ^.y);
  end;


exports
  sphere index 1,
  torus  index 2;

  begin
  end.
