// Persistence Of Vision raytracer version 3.0 isosurface patch
// sample file. By R.Suzuki.
// This image contains an example of 'isosurface'.

#include "isocom.inc"

#declare R0 = 3

isosurface
{
     function {"sphere",<R0>}
     bounded_by{ box {<-R0,-R0,-R0>,<R0,R0,R0>}}
     accuracy 0.01
     texture {ComYw}
     translate <0, 2, 0>
}

isosurface
{
    function {"rounded_box", <0.5>}
    bounded_by{ box {<-5, -3, -5>, <5, -1, 5>}}
    accuracy 0.01
    texture {ComBl}
}
