#include "colors.inc"

camera { location <65, 25, 35> direction <0, 0, 5.0> look_at <0,0,0> }

light_source {<40, 180, 10> color White*0.8}
light_source {<-20, 40, 120> color White}
light_source {<80, 20, 80> color White*0.8}
background {color <0.35, 0.42, 0.34>}

isosurface { function {"rounded_box", <1.5>}   bounded_by{box{<-7,-4,-6>, <7,4,6>}}
  pigment {
     function   {(cos(x)+cos(y)+cos(z)+3-noise3d(x,y,z)*1) | (cos(2*x)+cos(2*y)+cos(2*z)+2)}
     color_map
    {[0.0, 0.3  color <1, 0.6, 0.6>   color <  1,   1, 1>]
     [0.3, 0.6  color <1, 1, 1> color <0.5, 0.5, 0.5>]
     [0.6, 1.01 color <0.5, 0.5, 0.5>  color <1, 0.6, 0.6>]
     }
     frequency 0.9
     scale 1.00
   }
  finish {ambient 0.1}
  finish {phong 0.8}
}
