// Persistence Of Vision raytracer version 3.0 (isosurface)
// sample file.
// By R.Suzuki

#include "colors.inc"
#include "textures.inc"

camera {
   location <25, 15, -65>
   direction <0, 0,  2.0>
   look_at <0,0.5,0>
}

light_source {<10, 80, -40> color White}
light_source {<-20, 10, -120> color White}
light_source {<80, 20, -20> color White}
background {color DarkSlateGray}

  isosurface
  {
     function  {"odd_sphere", <1.0, 5., 0.5>, library "i_dat3d","test1.dat", <7,7,7,0>}
     bounded_by {sphere {<0, 0, 0>, 14}}
     eval
     max_gradient 2.5
     accuracy 0.02
     pigment {Red_Marble scale 0.7}
     finish {phong 0.6}
   }
