// Persistence Of Vision raytracer version 3.0 isosurface patch
// sample file. By R.Suzuki.
// This image contains an example of 'isosurface'.

#include "isocom.inc"

isosurface{
     function {"sphere",<1>}
     texture {ComYw}
     scale 3
     translate <3, 1, 3>
}


isosurface{
     function {"sphere",<3.5>}
     bounded_by{ box {<-3, -3, -3>, <3, 3, 3>}}
     texture {ComBl}
     rotate <0, 10, 30>
     translate <-3, -1, -3>
}

isosurface{
     function {"sphere",<3.8>}
     clipped_by{ box {<-3, -3, -3>, <3, 3, 3>}}
     texture {ComRed}
     rotate <0, -50,20>
     translate <-4, 0, 4>
}

isosurface{
     function {"sphere",<1.3>}
     texture{
        pigment { color red 0.98 green 0.88 blue 0.88 filter 1.0}
        finish {phong 0.8}
        finish {refraction 1  ior 1.3}
     }
     scale 2.5
     rotate <20, 10,0>
     translate <4, 3, -4>
}

