// Persistence Of Vision raytracer version 3.0 (isosurface patch)
// sample file.
// By R.Suzuki

#include "isocom.inc"

//=====================================
//   mesh1
//     P0:   period X
//     P0:   period Y
//     P2:   shape parameter : use with "eval"
//     P3:   amplitude
//     P4:   shape parameter2
//=====================================

isosurface
{
     function    {"mesh1", <1, 1, 1, 0.17,  1>}
     bounded_by{ box {<-5, -0.35, -5>, <5, 0.35, 5>}}
     eval
     threshold    0.18
     texture{ComYw}
     translate <0,-1,0>
}

isosurface
{
     function    {"mesh1", <0.5, 0.5, 1, 0.0,  1>}
     clipped_by{ box {<-2., -0.08, -2.>, <2., 0.08, 2.>}}
     threshold    0.08
     texture{ComBl}
     scale 2
     translate <0, 2, 0>
}

