// Persistence Of Vision raytracer version 3.0 isosurface patch
// sample file. By R.Suzuki.
// This image contains an example of UV mapping to bezier patches.

camera {  location <24, 30, -45> direction <0, 0,  4.5> look_at <0,1,0>}

light_source {<150, 400, -120> color <1,1,1>}
light_source {<350, 200, -120> color <1,1,1>}

background {color red 0.35 green 0.28 blue 0.12}


  bicubic_patch { type 1
      flatness 0.01
      u_steps 4
      v_steps 4
      <0, 0, 2>, <1, 0, 0>, <2, 0, 0>, <3, 0,-2>,
      <0, 1  0>, <1, 1, 0>, <2, 1, 0>, <3, 1, 0>,
      <0, 2, 0>, <1, 2, 0>, <2, -2, 0>, <3, 2, 0>,
      <0, 3, 2>, <1, 3, 0>, <2, 3, 0>, <3, 3, -3>
  pigment {
    image_map {
      gif "..\povscn\level3\Ionic5\congo4.gif"
      map_type 8
    }
  }
      translate <-1.5,-1,-1>
      rotate <90,170,0>
      scale 4 }
